seo:
  title: How to push code from a hammock
  description: >-
    Our remote work dream team balances globetrotting with career advancement at
    GitLab.
  ogTitle: How to push code from a hammock
  ogDescription: >-
    Our remote work dream team balances globetrotting with career advancement at
    GitLab.
  noIndex: false
  ogImage: images/blog/hero-images/hammock.jpg
  ogUrl: https://about.gitlab.com/blog/how-to-push-code-from-a-hammock
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: https://about.gitlab.com/blog/how-to-push-code-from-a-hammock
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "How to push code from a hammock",
            "author": [{"@type":"Person","name":"Sara Kassabian"}],
            "datePublished": "2019-09-23",
          }

content:
  title: How to push code from a hammock
  description: >-
    Our remote work dream team balances globetrotting with career advancement at
    GitLab.
  authors:
    - Sara Kassabian
  heroImage: images/blog/hero-images/hammock.jpg
  date: '2019-09-23'
  body: >

    _At GitLab, our team doesn’t wake up at the same time and commute the same
    routes to sit in the same office. In fact, some of our team members don’t
    have an office at all! As a globally distributed company with an all-remote
    workforce, we have an exceptionally diverse set of team members dispersed on
    multiple continents. In this series, we explore how GitLab team members use
    the autonomy our company affords them to create workspaces that suit their
    lifestyle and cater to their hierarchy of needs: Whether that involves
    creating a cozy home office space, or diving into the unknown by working
    while traveling. New here? Go back to [read part
    one](/blog/2019/09/12/not-everyone-has-a-home-office/) of our remote work
    series._


    For many career-minded individuals, the desire to travel for prolonged
    periods comes at a cost. Sometimes, the only options are to plan for rushed
    two-week bursts of vacation, wait for retirement, or leave your career
    behind.


    Back in 2013, I had the opportunity to volunteer at an NGO in Hanoi for a
    month, but in order to do so, I had to make a choice: Leave my job as a
    reporter, or pass on the opportunity to work in Vietnam. My reporting job
    only allotted employees two weeks of annual paid time off (PTO) and didn’t
    allow for remote work at all. After some (but not much) deliberation, I left
    my job and went to Hanoi.


    Even in some companies where working remotely is an option, if all-remote
    isn’t part of the company culture, traveling abroad isn’t always feasible.
    [Erich Wegscheider](/company/team/#ewegscheider), talent operations
    specialist at GitLab, knows firsthand that [not all remote is created
    equal](/blog/2019/09/04/not-all-remote-is-created-equal/).


    Erich went to Europe for a few weeks while working remotely at a previous
    job with big plans to travel and work. But because he was tethered to
    working Pacific Time hours, the logistics made setting up an effective
    workday a challenge.


    “Sure, I was ‘remote,’ but the reality was that I worked in the equivalent
    of a satellite office by myself,” says Erich in a previous post. “Another
    detractor to working remotely was that it wasn’t conducive to my career
    development. Given that my colleagues worked at the office in California,
    the opportunity to lead or manage a team wasn’t presented, given my desire
    for location independence.”


    Today, Erich is able to balance career advancement with wanderlust. He’s
    currently delivering results for GitLab while lounging beachside from Bali
    before heading out to a new location as part of the adventure of a lifetime
    with [WiFi Tribe](https://wifitribe.co/).


    Erich’s experience of working from Bali is hardly an anomaly at an
    all-remote company like GitLab. In fact, if GitLab somehow had geolocation
    enabled on our [contribute graphs](/blog/2019/05/07/how-do-you-contribute/),
    you’d find code pushed from vans, hammocks, and likely some ancient ruins
    too. Where WiFi is enabled, GitLab is there.


    ## “Where are you calling from now?”


    Caroline, people experience associate at GitLab, turned heads during our
    daily breakout call earlier this month by dispatching from [Chiostro del
    Bramante](https://www.chiostrodelbramante.it/), a stunning art museum in
    Rome.


    ![Breakout call at Chiostro del
    Bramante](https://about.gitlab.com/images/blogimages/allremote-travel/breakoutcall.jpg){:
    .shadow.medium.center}

    Caroline joins our breakout call from the Chiostro del Bramante art museum
    in Rome.

    {: .note.text-center}


    “There is a coffee bar on the first floor with an outdoor sitting area
    overlooking the atrium,” says Caroline. “Hands down the best suggestion I
    have gotten from [workfrom.co](https://workfrom.co/) which is my number one
    go-to place to find ‘anything with good WiFi’ to work from when I land in a
    new city.”


    It’s good to have these resources, because Caroline finds herself working
    from a new city often. Her visit to Chiostro del Bramante was right in the
    middle of her two-month long tour of Europe.


    “I started from Berlin, Germany, and have traveled to Prague,
    Czechoslovakia; Vienna, Austria; Budapest, Hungary; Zagreb, Serbia; Venice,
    Milan, Florence, and Rome in Italy; Barcelona and Madrid, Spain, and now
    Lisbon, Portugal” says Caroline. “From here I intend to proceed on Paris,
    Lyon, and Marseilles in France; Brussels, Belgium; Amsterdam, Netherlands;
    Geneva, Switzerland; Greece and Santorini, and finally Qatar before I return
    back home.”


    “I am a nature-holic and I always try to find the hidden parks and
    waterfalls, even in big cities,” says Caroline. “But this has been a big
    city tour because I am a village girl and curiosity won't let me. I plan to
    do another rural places trip next year in most of these countries.”


    Caroline lives in Nairobi, Kenya on a small half urban, half rural community
    called
    [Kinoo](https://www.google.com/maps/place/Kinoo,+Kikuyu,+Kenya/@-1.2520949,36.6834461,15z/data=!3m1!4b1!4m5!3m4!1s0x182f1ed5ba8b4527:0x1c9818f290cb069!8m2!3d-1.2526258!4d36.6930253)
    “with lots of tea leaves and sheep.”


    [Mike Miranda](/company/team/#mikemiranda), SMB professional advocate at
    GitLab, lives roughly 9,600 miles from Kinoo in Los Angeles, CA, but like
    Caroline, he has a full passport from his time working at GitLab.


    Mike spent about half of 2019 globetrotting, and traveled quite a bit in
    2018 as well, visiting: Amsterdam, Netherlands; Sofia, Bulgaria; Kyiv,
    Ukraine; Izmail, Ukraine; London, England; Budapest, Hungary; Dublin,
    Ireland; Lisbon and Porto in Portugal; Krakow, Poland; Barcelona and Madrid,
    Spain; Tel Aviv, Israel; Jerusalem, Israel; returning to Spain in Pamplona;
    Belgrade, Serbia; Berlin, Germany; Paris, France; Florence, Italy; circling
    back to Germany in Cologne; Burgas, Bulgaria, and even more cities across
    the United States, all while working for GitLab full-time.


    Unlike Caroline, Mike tends to gravitate more toward urban environments
    while traveling, but also loves visiting some rural locations as well: “I
    prefer the hidden gems though I definitely spent plenty of time in classic
    tourist cities.”


    ## GitLab wants you to travel and visit team members


    GitLab’s all-remote set-up introduces a world of possibilities to our team
    members, many of whom saw their travel opportunities restricted in the past
    by colocated workspaces. So, when the opportunities are endless, which
    direction do you head?


    Why not take a page out of [Douwe Maan](/company/team/#DouweM) and [Robert
    Speicher](/company/team/#rspeicher)’s playbook, and visit your colleagues
    with the help of GitLab. After all, GitLab has more than 888 team members
    across 57 countries and regions on five continents (these numbers are always
    growing!). The [GitLab visiting grant](/handbook/incentives/#visiting-grant)
    will help you pay for your travels, allotting $150 toward your
    transportation costs for each GitLab team member that you see on your
    journey. For example, if you have plans to travel to the San Francisco Bay
    Area to visit family and join a coworking day with six local GitLabbers, up
    to $900 in travel costs (6 x 150 = 900) will be reimbursed.


    This program was inspired by Douwe and Robert, who spent six months of 2016
    [traveling around the
    world](/blog/2017/01/31/around-the-world-in-6-releases/), visiting 49
    colleagues in 20 cities on all five continents. Their journey started in
    Robert’s home in Washington D.C., and ended in Douwe’s home in Amsterdam.
    This experience opened up a new perspective not just on how our colleagues
    live but how they worked as well.


    “While you hear about things going on in people's lives, about the places
    they live, and about issues they face, it's hard to truly appreciate and
    understand these different perspectives at a distance of hundreds,
    thousands, or tens of thousands of miles,” writes Douwe in a previous post.
    “Visiting them, getting to know them in their ‘natural habitat,’ and
    experiencing some bits of their life yourself, brings you closer to that
    understanding than anything else.”


    For instance, [a day in the life of a GitLab team
    member](/blog/2019/06/18/day-in-the-life-remote-worker/) based in the United
    States is different from an Asia-Pacific (APAC)-based team member, as time
    zones create major differences in when Slack is buzzing, when the company
    call is, etc.


    ## The biggest challenges facing digital nomads


    [GitLab prioritizes written, asynchronous
    communication](/handbook/communication/#introduction), which is largely why
    all remote works so effectively for our company. But sometimes, you have to
    take the inconveniently timed meeting anyway. Caroline says being available
    for meetings across different time zones has been one of the biggest
    challenges with global travel.


    “The biggest part of what [being] a digital nomad involves is having the
    flexibility to determine your hours and find a perfect balance between work
    and discovering your current location,” says Caroline. “Meetings are usually
    fixed times that sometimes just mess up your entire preplanned flow. I have
    learned to be flexible. To interrupt an afternoon of site-seeing with a
    quick dash into a coffee shop for a quick meeting or to plan my day around a
    meeting.”


    Erich is in Bali, so he’s currently in the APAC time zone. This means his
    evenings typically conclude with a few work-related calls and meetings.


    ![The Mocca in Canggu,
    Bali](https://about.gitlab.com/images/blogimages/allremote-travel/the-mocca-canggu.jpg){:
    .shadow.small.center}

    The Mocca is one of the cafes Erich works at during his time in Canggu,
    Bali.

    {: .note.text-center}


    “Another fun part about being on APAC time, when the Americas is the norm,
    is that weekends are shifted,” says Erich. “It's a 12-hour time difference
    to Eastern Time and 15 to Pacific, so Monday is essentially my Sunday. That
    means I usually work Saturday morning, but that's been fine by me thus far!
    The schedule allows plenty of time to get out and explore. Best of all,
    Mondays are generally quiet travel-wise, so it's a great time to move around
    the island as well.”


    Mike experienced everything from whitewater rafting in Sofia, Bulgaria to
    thermal bath parties in Budapest, Hungary during his time abroad, but life
    as a digital nomad isn’t one giant vacation.


    “Timezone was initially a challenge and that required being intentional
    about a schedule and sticking with it,” says Mike. “Also, it was difficult
    to get into a comfortable routine and sometimes taxing to constantly be
    living out of a suitcase.”


    For Mike, establishing a routine became critical to staying centered in
    ever-changing environments: “I would identify a coworking space or
    understand if the WiFi would work well for calls, know where and how I would
    exercise, know my work hours given the timezone.”


    But his most important advice? Enjoy the adventure.


    “While it's not a vacation, make sure you take your work hours seriously and
    outside of that time enjoy the city you're in and the people you're around –
    I can't overstate how important it is to unplug.”


    Cover Photo by Trinity Treft on Unsplash.

    {: .note}
  category: Culture
  tags:
    - remote work
    - inside GitLab
config:
  slug: how-to-push-code-from-a-hammock
  featured: false
  template: BlogPost
